You're almost there! Please answer a few more questions for access to the Applications content. Complete registration
Interested in joining? Complete your registration by providing Areas of Interest here. Register

Property glog.integration.compatibility

Accepted answer
73
Views
2
Comments

Summary:

What are the implications of setting property glog.integration.compatibility=V21

Content (required):

We can across an error message as follows while receiving a shipment actual xml .

  • otm:IMessageCode = TRANSACTION_CODE_NOT_SUPPORTED
  • otm:IMessageText = THE TRANSACTION CODE NP IS NOT SUPPORTED IN THIS INTERFACE. VALID CODES ARE Release.TransactionCode = I. Set glog.integration.compatibility=V21 in glog.properties to allow Changes to Release via Shipment Interface

As mentioned in the error message, we had a release tag with in the shipment tag. We did set this property and the issue got resolved. However, we are not sure about any other implications/effect that this is likely to have on other existing integrations. We cannot find any documentation on this property either. Can you please let us know what exactly this property does and are there any cases that won't work/break with this property setup.

Howdy, Stranger!

Log In

To view full details, sign in.

Register

Don't have an account? Click here to get started!